mode(-1);
// specific part
libname='comedilib' // name of scilab function library [CUSTOM]

// generic part  
// get the absolute path 
[units,typs,nams]=file();
clear units typs
for k=size(nams,'*'):-1:1 
  l=strindex(nams(k),'builder.sce');
  if l<>[] then
    DIR=part(nams(k),1:l($)-1);
    break
  end
end


if ~MSDOS then // Unix Linux
  if part(DIR,1)<>'/' then DIR=getcwd()+'/'+DIR,end
  MACROS=DIR+'macros/' // Path of the macros directory
  SRC=DIR+'src/' // Path of the source directory
  // Create Makefile for blocks
  u=file('open',SRC+'Makefile','unknown')
  write(u,['SCIDIR = '+SCI
      'COMEDIDIR = '+DIR
      'OBJSC = comedi_analogin.o comedi_analogout.o comedi_digitalin.o\';
      '        comedi_digitalout.o comedi_encoderin.o'
      'include '+SCI+'/Makefile.incl'
      'CFLAGS = $(CC_OPTIONS) $(CC_PICFLAGS) -I'+SCI+'/routines'
      'include '+SCI+'/routines/Make.lib'
      'all :: $(OBJSC)'],'(a)') //interface object [CUSTOM]
  file('close',u)
  MAN=DIR+'man/' // Path of the manpages
//  formatman(MAN, 'ascii')
//  formatman(MAN, 'html')
  xmltohtml(MAN, 'Comedi')
//xmltohtml('.', 'Comedi','html-jpc.xsl')

else  // windows- Visual C++
  message('COMEDI only work under Linux')
end
// compile Fortran and C sources in src
OLD=getcwd();chdir(SRC)
unix_s('make')
chdir(OLD);

//compile sci files if necessary and build lib file
genlib(libname,MACROS)

clear fd err nams DIR libname MACROS genlib SRC MAN OLD cmd_make tab
